// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPFloat64.h,v $
/* Revision 1.1  1996/09/18 22:41:59  reza
/*  First release of DODS-DSP servers.
/*
 */

#ifndef _DSPFloat64_h
#define _DSPFloat64_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Float64.h"
extern Float64 * NewFloat64(const String &n = (char *)0);

class DSPFloat64: public Float64 {
public:
    DSPFloat64(const String &n = (char *)0);
    virtual ~DSPFloat64() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const String &dataset, int &error);
};

typedef DSPFloat64 * DSPFloat64Ptr;

#endif

