
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

// $Log: DSPList.cc,v $
// Revision 1.3  1998/08/06 16:32:09  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:19  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:42:05  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPList.cc,v 1.3 1998/08/06 16:32:09 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include "DSPList.h"

List *
NewList(const String &n, BaseType *v)
{
    return new DSPList(n, v);
}

BaseType *
DSPList::ptr_duplicate()
{
    return new DSPList(*this);
}

DSPList::DSPList(const String &n, BaseType *v) : List(n, v)
{
}

DSPList::~DSPList()
{
}

bool 
DSPList::read(const String &, int &error)
{
    error = 1;
    return false;
}
