
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

/* $Log: DSPUrl.h,v $
/* Revision 1.1  1996/09/18 22:42:15  reza
/*  First release of DODS-DSP servers.
/*
*/

#ifndef _DSPUrl_h
#define _DSPUrl_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Url.h"
extern Url * NewUrl(const String &n = (char *)0);

class DSPUrl: public Url {
public:
    DSPUrl(const String &n = (char *)0);
    virtual ~DSPUrl() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const String &dataset, int &error);
};

typedef DSPUrl * DSPUrlPtr;

#endif

